--[[local mmButton = CreateFrame("Button", "PGF_MinimapButton", "Minimap")
mmButton:SetSize(33, 33)
mmButton:SetPoint("TOPLEFT")
mmButton:SetMovable(true)
mmButton:EnableMouse(true)
mmButton:RegisterForDrag("LeftButton")
local background = mmButton:CreateTexture("PGF_MinimapButton_BACKGROUND", "BACKGROUND")
background:SetSize(21,21)
background:SetPoint("TOPLEFT", 7, -6)
background:SetTexture("Interface\addons\PGFinder\Res\minimap.tga")
mmButton:SetNormalTexture(background)
local overlay = mmButton:CreateTexture("PGF_MinimapButton_OVERLAY", "OVERLAY")
overlay:SetSize(56,56)
overlay:SetPoint("TOPLEFT")
overlay:SetTexture("Interface/Minimap/MiniMap-TrackingBorder")
local highlight = mmButton:CreateTexture("PGF_MinimapButton_HIGHLIGHT", "HIGHLIGHT")
highlight:SetTexture("Interface/Minimap/UI-Minimap-ZoomButton-Highlight")
mmButton:SetHightlightTexture(highlight)
mmButton:SetScript("OnDragStart", mmButton.StartMoving)
mmButton:SetScript("OnDragStop", mmButton.StopMovingOrSizing)
mmButton:RegisterForClicks("LeftButtonUp", "RightButtonUp")
mmButton:SetScript("OnMouseUp", function(self, button)
	if IsLeftShiftKeyDown() then
		PGF_MinimapButton_Profiles()
	elseif button == "LeftButton" then
		InterfaceOptionsFrame_OpenToCategory(optionsLists)
	elseif button == "RightButton" then
		if ENABLED then
			ENABLED = false
			DEFAULT_CHAT_FRAME:AddMessage("|cFFFF0000" .. L.WARNING_DISABLED_TEXT)
		else
			ENABLED = true
			DEFAULT_CHAT_FRAME:AddMessage("|cFF00FF00" .. L.WARNING_ENABLED_TEXT)
		end
	end
end) ]]
local mmProfiles = CreateFrame("Button", "MinimapProfilesDropDownMenu", PGF_MinimapButton, "UIDropDownMenuTemplate")
mmProfiles:SetPoint("TOPLEFT", PGF_MinimapButton, "BOTTOM", -204, 32)
mmProfiles:Hide()
mmProfiles:SetFrameStrata("HIGH") --top most
mmProfiles:SetFrameLevel(10)
local pfs = {}
mmProfiles:SetScript("OnShow", function(frame)
	pfs = {}
	for k, v in pairs(PGF_profiles) do
		updateList(pfs, k, true)
	end
end)
local function Profiles_OnClick(frame)
	UIDropDownMenu_SetSelectedID(mmProfiles, frame:GetID())
	loadProfile(frame:GetText())
	LATEST_PROFILE = frame:GetText()
	correctOptionProfile()
	updateKeywordList()
	mmProfiles:Hide()
end
local function initialize(self, level)
	local info = UIDropDownMenu_CreateInfo()
	for k,v in pairs(pfs) do
	  info = UIDropDownMenu_CreateInfo()
	  info.text = v
	  info.value = v
	  info.func = Profiles_OnClick
	  UIDropDownMenu_AddButton(info, level)
	end
end
function PGF_MinimapButton_Profiles()
	if mmProfiles:IsShown() then
		mmProfiles:Hide()
	else
		mmProfiles:Show()
	end
end
function correctMinimapProfile()
	UIDropDownMenu_SetSelectedName(mmProfiles, LATEST_PROFILE) 
end
function refreshMinimapProfiles()
	if mmProfiles:IsShown() then
		mmProfiles:Hide()
		mmProfiles:Show()
	end
end
UIDropDownMenu_SetWidth(mmProfiles, 150)
UIDropDownMenu_SetButtonWidth(mmProfiles, 160)
UIDropDownMenu_JustifyText(mmProfiles, "LEFT")
UIDropDownMenu_Initialize(mmProfiles, initialize)